Subject: Re: LyX and Xforms
From: [email-masked] (Pasa Guglielmo)

8 Nov 1997 03:23:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: "Henry J. P. Smith" <[email-masked]>
Cc: [email-masked]

You should try to ask the XForms group to produce a b18 binary release
as they cetainly don't want to give you the code. It probably
will compile succesfully (at least lesstif 0.81 does ! so let's hope).

Then it is only a problem of porting LyX to b18.

Henry J. P. Smith wrote:
> 
> Hello,
> 
> I searched throught the back issues on cygnus and didn't find anything
> about either LyX or xforms. So I thought I'd ask whether anyone has any
> experience trying to bring either of these up under gnuwin32.
> 
> LyX is a font-end for LaTeX and from what I gather it uses xforms to
> produce a WYSIWYG like interface. The URL for LyX that I have is
>         <http://www.lehigh.edu/~dlj0/LyriX.html>
> 
> and for xforms
> 
>         <http://bragg.phys.uwm.edu/xforms>.
> 
> I don't feel too confident in attempting to bring them up under GNUWIN32
> (as I am not very strong in C/C++ etc) but I am strongly tempted to give it
> a try as I and a colleague of mine have a need for LaTeX but don't
> particularly like the hassle of learning it to do all that we will probably
> need. {  I know I know, tha't being kinda lazy :-)  }
> 
> I was thinking that one could do as straight a port as possible and use a
> local X-server such as MI/X or the one I use most frequently SuperX from
> FrontierTech. (Haven't seen the latter mentioned on the list. Does anyone
> else use it? I rather like it for my purposes as it is more robust than
> MI/X and not too expensive either.)
> 
> xforms provides the menus and buttons etc used by LyX and it apparently
> does so via a Unix shared object librayr (.so . . . etc) AFAIK (not very
> far <g>) this sort of function would be carried out in WIN32 by a DLL. Does
> GNUWIN32 have the .so option available? I'd kinda guess not but then . . .
> If not how hard is it to change the .so file into a dll? (obviously you
> need the source but after that?)
> 
> Well any thoughts any one might like to add would be greatly appreciated as
> they might be save me a lot of headaches. And also if anyone has a good
> argumebnt as to why this would be a dumb project to get started on, <G> I'd
> very much like to hear them as well.
> 
> TIA
> 
> Henry
> 
> PS: this is a great list. I've been sort of lurking for some time and this
> is my first post. Thanks to all the earlier contributors.
> 
> Dr. Henry J. P. Smith              President / Owner
>                 TPE Associates
> "Technology          Physics           Environment"
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Sincerely yours,
				Pasa Guglielmo
------------------------------------------------------------------
¦ homepage: http://www.omedia.ch/pages/gpasa/			 ¦
¦----------------------------------------------------------------¦
¦ e-mail  : [email-masked]       ¦  tel. :  +41 (0)24 485 50 40 ¦
¦ mailing : Pasa Guglielmo        ¦  fax  :  +41 (0)24 485 50 44 ¦
¦ 	    Rte des Cases 17A     ¦ 	  	  		 ¦	
¦ 	 CH-1890 St-Maurice       ¦  prof.: physicist		 ¦	
¦	    (Switzerland)         ¦				 ¦	
------------------------------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".